//********************************************************************
//*** ResourcePool/SQL/RTSQLBatch.t.cc
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: RTSQLBatch.t.cc,v 1.14 2009-06-21 15:51:55 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#include <memory>
#include "t/main.hh"
#include "config.h"
#include "ResourcePool/ResourcePool.hh"
#include "ResourcePool/SQL/ResourcePool.hh"

#include "testconfig.cc"

#include "SQLBatch.t.cc"

void INIT_SQL_SQLSelect() {
	open_pools();
#ifdef RESOURCEPOOL_HAVE_ORACLE
	test_SQLBatch_init(*oci9_rp);
#endif
#ifdef RESOURCEPOOL_HAVE_MYSQL
	test_SQLBatch_init(*mysql3_rp);
#endif
}


void TEST_SQL_OCI9_SQLBatch_one() {
	test_sql_oci_wrapper(&test_SQLBatch_one);
}

void TEST_SQL_OCI9_SQLBatch_nested() {
	test_sql_oci_wrapper(&test_SQLBatch_nested);
}

void TEST_SQL_OCI9_SQLBatch_complex() {
	test_sql_oci_wrapper(&test_SQLBatch_complex_ora11);
}

void TEST_SQL_OCI9_SQLBatch_fail() {
	test_sql_oci_wrapper(&test_SQLBatch_fail);
}

void TEST_PERF_SQL_OCI9_SQLBatch_ok() {
	test_sql_oci_wrapper(&test_PERF_SQLBatch_ok<RP::Commands::SQLBatch>);
}

void TEST_PERF_SQL_OCI9_SQLBatch_failoften() {
	test_sql_oci_wrapper(&test_PERF_SQLBatch_failoften);
}


void TEST_SQL_MYSQL3_SQLBatch_one() {
	test_sql_mysql_wrapper(&test_SQLBatch_one);
}

void TEST_SQL_MYSQL3_SQLBatch_nested() {
	test_sql_mysql_wrapper(&test_SQLBatch_nested);
}

void TEST_SQL_MYSQL3_SQLBatch_comples() {
	test_sql_mysql_wrapper(&test_SQLBatch_complex);
}

void TEST_SQL_MYSQL3_SQLBatch_fail() {
	test_sql_mysql_wrapper(&test_SQLBatch_fail);
}

void TEST_PERF_SQL_MYSQL3_SQLBatch_ok() {
	test_sql_mysql_wrapper(&test_PERF_SQLBatch_ok<RP::Commands::SQLBatch>);
}

void TEST_PERF_SQL_MYSQL3_SQLBatch_failoften() {
	test_sql_mysql_wrapper(&test_PERF_SQLBatch_failoften);
}

