//********************************************************************
//*** ResourcePool/SQL/RTSQLExecute.t.cc
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: RTSQLExecute.t.cc,v 1.13 2009-06-21 15:51:55 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#include "t/main.hh"
#include "config.h"
#include "ResourcePool/ResourcePool.hh"
#include "ResourcePool/SQL/ResourcePool.hh"

#include "testconfig.cc"

#include "../SQL/SQLExecute.t.cc"

void INIT_SQL_SQLExecute() {
	open_pools();
#ifdef RESOURCEPOOL_HAVE_ORACLE
	test_SQLExecute_init(*oci9_rp);
#endif
#ifdef RESOURCEPOOL_HAVE_MYSQL
	test_SQLExecute_init(*mysql3_rp);
#endif
}

void TEST_SQL_OCI9_SQLExecute_insert() {
	test_sql_oci_wrapper(&test_SQLExecute_one);
}
void TEST_SQL_OCI9_SQLExecute_insert_two() {
	test_sql_oci_wrapper(&test_SQLExecute_two);
}
void TEST_SQL_OCI9_SQLExecute_insert_three() {
	test_sql_oci_wrapper(&test_SQLExecute_three);
}
void TEST_PERF_SQL_OCI9_SQLExecute_massbind() {
	test_sql_oci_wrapper(&test_perf_SQLExecute_massbind);
}
void TEST_PERF_SQL_OCI9_SQLExecute_insert() {
	test_sql_oci_wrapper(&test_perf_SQLExecute_insert);
}
void TEST_PERF_SQL_OCI9_SQLExecute_insert_outer() {
	test_sql_oci_wrapper(&test_perf_SQLExecute_insert_outer);
}
void TEST_PERF_SQL_OCI9_SQLExecute_update_outer() {
	test_sql_oci_wrapper(&test_perf_SQLExecute_update_outer);
}
void TEST_SQL_OCI9_SQLExecute_insert_fail() {
	test_sql_oci_wrapper(&test_SQLExecute_fail);
}

void TEST_SQL_OCI9_SQLExecute_output() {
	test_sql_oci_wrapper(&test_SQLExecute_output);
}

void TEST_SQL_MYSQL3_SQLExecute_insert() {
	test_sql_mysql_wrapper(&test_SQLExecute_one);
}
void TEST_SQL_MYSQL3_SQLExecute_insert_two() {
	test_sql_mysql_wrapper(&test_SQLExecute_two);
}
void TEST_SQL_MYSQL3_SQLExecute_insert_three() {
	test_sql_mysql_wrapper(&test_SQLExecute_three);
}
void TEST_PERF_SQL_MYSQL3_SQLExecute_massbind() {
	test_sql_mysql_wrapper(&test_perf_SQLExecute_massbind);
}
void TEST_PERF_SQL_MYSQL3_SQLExecute_insert() {
	test_sql_mysql_wrapper(&test_perf_SQLExecute_insert);
}
void TEST_PERF_SQL_MYSQL3_SQLExecute_insert_outer() {
	test_sql_mysql_wrapper(&test_perf_SQLExecute_insert_outer);
}
void TEST_PERF_SQL_MYSQL3_SQLExecute_update_outer() {
	test_sql_mysql_wrapper(&test_perf_SQLExecute_update_outer);
}
void TEST_SQL_MYSQL3_SQLExecute_insert_fail() {
	test_sql_mysql_wrapper(&test_SQLExecute_fail);
}
void TEST_SQL_MYSQL3_SQLExecute_output() {
	test_sql_mysql_wrapper(&test_SQLExecute_output);
}
void CLEANUP_SQL_SQLExecute() {
#ifdef RESOURCEPOOL_HAVE_ORACLE
	drop(*oci9_rp);
#endif
#ifdef RESOURCEPOOL_HAVE_MYSQL
	drop(*mysql3_rp);
#endif
}

