//********************************************************************
//*** ResourcePool/SQL/RTSQLSelectRow.t.cc
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: RTSQLSelectRow.t.cc,v 1.13 2009-06-21 15:51:55 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#include "t/main.hh"
#include "config.h"
#include "ResourcePool/ResourcePool.hh"
#include "ResourcePool/SQL/ResourcePool.hh"

#include "testconfig.cc"

#include "SQLSelectRow.t.cc"

void INIT_SQL_SQLSelect() {
	open_pools();
#ifdef RESOURCEPOOL_HAVE_ORACLE
	test_SQLSelectRow_init(*oci9_rp);
#endif
#ifdef RESOURCEPOOL_HAVE_MYSQL
	test_SQLSelectRow_init(*mysql3_rp);
#endif
}

void TEST_SQL_OCI9_SQLSelectRow_one() {
	test_sql_oci_wrapper(&test_SQLSelectRow_one);
}

void TEST_SQL_OCI9_SQLSelectRow_output() {
	test_sql_oci_wrapper(&test_SQLSelectRow_output);
}

void TEST_PERF_SQL_OCI9_SQLSelectRow_massbindout() {
	test_sql_oci_wrapper(&test_perf_SQLSelectRow_massbindout);
}

void TEST_PERF_SQL_OCI9_SQLSelectRow_one_spec_outer_C() {
	test_sql_oci_wrapper(&test_perf_SQLSelectRow_one_spec_outer);
}

void TEST_PERF_SQL_OCI9_SQLSelectRow_one_spec_inner_C() {
	test_sql_oci_wrapper(&test_perf_SQLSelectRow_one_spec_inner);
}

void TEST_PERF_SQL_OCI9_SQLSelectRow_first_one() {
	test_sql_oci_wrapper(&test_perf_SQLSelectRow_first_one);
}

void TEST_SQL_MYSQL3_SQLSelectRow_one() {
	test_sql_mysql_wrapper(&test_SQLSelectRow_one);
}

void TEST_SQL_MYSQL3_SQLSelectRow_output() {
	test_sql_mysql_wrapper(&test_SQLSelectRow_output);
}

void TEST_PERF_SQL_MYSQL_SQLSelectRow_massbindout() {
	test_sql_mysql_wrapper(&test_perf_SQLSelectRow_massbindout);
}

void TEST_PERF_SQL_MYSQL3_SQLSelectRow_one_spec_outer_C() {
	test_sql_mysql_wrapper(&test_perf_SQLSelectRow_one_spec_outer);
}

void TEST_PERF_SQL_MYSQL3_SQLSelectRow_one_spec_inner_C() {
	test_sql_mysql_wrapper(&test_perf_SQLSelectRow_one_spec_inner);
}

/* the sql sting is not mysql aware */
void x_TEST_PERF_SQL_MYSQL3_SQLSelectRow_first_one() {
	test_sql_mysql_wrapper(&test_perf_SQLSelectRow_first_one);
}


void CLEANUP_SQL_SQLSelectRow() {
#ifdef RESOURCEPOOL_HAVE_ORACLE
	test_SQLSelectRow_cleanup(*oci9_rp);
#endif
#ifdef RESOURCEPOOL_HAVE_MYSQL
	test_SQLSelectRow_cleanup(*mysql3_rp);
#endif
}

