//********************************************************************
//*** ResourcePool/SQL/SQLStatementImpl.cc
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: SQLStatementImpl.cc,v 1.1 2009-05-04 13:20:43 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

//#include <algorithm>
#include <sstream>

#include "SQLStatementImpl.hh"
#include "SQLParser.hh"


namespace fatalmind {
namespace SQL {

SQLStatementImpl::SQLStatementImpl() 
: sql()
, fragments()
, parameters()
{
}

SQLStatementImpl::SQLStatementImpl(const std::string& s) 
: sql(s)
, fragments()
, parameters()
{
	SQLParser p(sql, *this);
}

SQLStatementImpl::SQLStatementImpl(const char* s)
: sql(s)
, fragments()
, parameters()
{
	SQLParser p(sql, *this);
}

void SQLStatementImpl::parse() {
}
		
unsigned int SQLStatementImpl::getParamCount() const {
	return parameters.size();
}

std::string SQLStatementImpl::getNameFor(const int pos) const {
	return parameters.at(pos).getName();
}
		
int SQLStatementImpl::getTypeFor(const int pos) const {
	return parameters.at(pos).getType();
}

const std::string& SQLStatementImpl::getSQL() const {
	return sql;
}
	
const std::string& SQLStatementImpl::getSQLFragment(const int pos) const {
	return fragments.at(pos);
}

} // namespace sql
} // namespace fatalmind

