//********************************************************************
//*** ResourcePool/TaskRunner/Factory.hh
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: Factory.hh,v 1.6 2009-03-02 14:16:45 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_TASKRUNNER_FACTORY_HH
#define RESOURCEPOOL_TASKRUNNER_FACTORY_HH

#ifndef RESOURCEPOOL_TASKRUNNER_RESOURCE_HH
#include "Resource.hh"
#endif

#include "mm/gc_ptr.hh"
#include "ResourcePool/ResourcePoolEventObserver.hh"

namespace fatalmind {
namespace TaskRunnerPoolInternals {

class Factory {
	public:
		Factory();
		Resource* create_resource() const;	
		gc_ptr<ResourcePoolEventObserver> getEventObserver() const;
	private:
		gc_ptr<ResourcePoolEventObserver> observer;
};

}
} // namespace fatalmind

#endif
