//********************************************************************
//*** ResourcePool/mysql/ResourcePoolInstances.cc
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: ResourcePoolInstances.cc,v 1.17 2009-05-02 18:47:19 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */


#ifndef RESOURCEPOOL_RESOURCEPOOL_HH
#include "ResourcePool/ResourcePool.hh"
#endif

#include "ResourcePool/ResourcePool.cc"
#include "ResourcePool/BatchCommand.cc"

#ifdef RESOURCEPOOL_HAVE_MYSQL_TRANSACTIONS
#include "ResourcePool/mysql/Transaction.cc"
#endif

#ifndef RESOURCEPOOL_MYSQL_RESOURCEPOOL_HH
#include "ResourcePool/mysql/ResourcePool.hh"
#endif

#include "ResourcePool/SQL/Bind.cc"
#include "ResourcePool/SQL/BindOut.cc"

#include <mysql/mysql.h>

namespace fatalmind {

template class ResourcePool<ResourceType::mysql>;
template class Command<ResourceType::mysql>;

template class BatchCommand< Command<fatalmind::ResourceType::mysql> >;

template class
SQL::Bind<mysql::SQLType, mysql::SQLTypeImpl>;

template class
SQL::BindOut<mysql::SQLRefType, mysql::SQLRefTypeImpl>;

} //namespace fatalmind
