//********************************************************************
//*** ResourcePool/oracle/SQLException.t.cc
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: SQLException.t.cc,v 1.13 2009-05-11 14:06:05 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#include "ResourcePool/oracle/ResourcePool.hh"
#include "ResourcePool/oracle/oracleType.hh"
#include "ResourcePool/oracle/oracleRefType.hh"
#include "t/main.hh"

#include "testconfig.cc"

#include "../SQL/SQLException.t.cc"

void INIT_oracle_SQLException()
{
	test_SQLException_init();
}
void TEST_oracle_SQLException_simple_constraints()
{
	test_SQLException_simple_constraints();
}

void TEST_oracle_SQLException_syntax()
{
	test_SQLException_syntax();
}

void TEST_oracle_SQLException_SQLSelectRow()
{
	test_SQLException_SQLSelectRow();
}

void TEST_oracle_SQLException_SQLSelectRow_wrong_bindout()
{
	test_SQLException_SQLSelectRow_wrong_bindout();
}

void TEST_oracle_SQLException_SQLSelectRow_wrong_bind()
{
	test_SQLException_SQLSelectRow_wrong_bind();
}

void CLEANUP_oracle_SQLException() {
	test_SQLException_cleanup();
}
